﻿-- Torta
-- v0.0.1
-- Created by Quezacolt of Aman'Thul (Oceanic)
-- Concept based on the Checklist addon, also by Quezacolt.

Torta = {}
Torta.gui = {};
Torta.cl3 = {};
Torta.nb2 = {};

SlashCmdList["TORTA_SHOWUI"] = function()
  Torta.gui:ToggleWindow();
end
SLASH_TORTA_SHOWUI1 = "/torta";

SlashCmdList["TORTA_RLUI"] = ReloadUI;
SLASH_TORTA_RLUI1 = "/rl";

SlashCmdList["TORTA_GETWIDGETNAME"] = function()
  if GetMouseFocus() then
    print(GetMouseFocus():GetName());
  else
    print("The cursor is not over a UI element.");
  end
end
SLASH_TORTA_GETWIDGETNAME1 = "/getname";

function Torta:OnInitialize()
  local aboutLabel = TortaParentFrameStartPageSidebarAboutText;
  aboutLabel:SetText("Torta is an addon written by Quezacolt of Aman'Thul based on the Checklist project.\n\nYour suggestions for Torta are always welcome :)");
  aboutLabel:SetJustifyV("TOP");
  
  local vLabel = TortaParentFrameStartPageTaskbarText;
  local WoWISVNRevision = GetAddOnMetadata("Torta", "X-WoWISVNRevision");
  local version = GetAddOnMetadata("Torta", "Version");
  
  if tonumber(WoWISVNRevision) then
    vLabel:SetFormattedText("Torta v%s.%s (|cffffff00Beta|r)", version, WoWISVNRevision);
  else
    vLabel:SetFormattedText("Checklist Project Version %s WoWInterface SVN Working Copy (|cffffff00beta|r)", version);
  end
  vLabel:SetJustifyH("LEFT");
  vLabel:SetAlpha(0.7);
  
  
  Torta.gui:Initialize();
  Torta.cl3:InitializeChecklist();
  Torta.nb2:InitializeNotebook();
end
